#ifndef _LCD_LIB_
#define _LCD_LIB_


extern unsigned char posx, posy;

// library function prototypes
void LCD_init(void); //  
void LCD_refresh (void);  //   ( )
void LCD_clear (void);
void LCD_pixel (unsigned char x, unsigned char y, unsigned char color);
void LCD_line ( char x1, char y1, char x2, char y2, char mode );
void LCD_dashline ( char x1, char y1, char x2, char y2);
void LCD_rectangle(char x, char y, char x1, char y1,unsigned char color);  // 
void LCD_fillrect  (char x, char y, char x1, char y1,unsigned char color); //  
void LCD_setxy(char x,unsigned char y);        //   
void LCD_deg12x16(unsigned char c, unsigned char color);    //  
void LCD_frame(unsigned char x);
unsigned char LCD_get_char_len(unsigned char ch);   
void LCD_char(unsigned char ch, unsigned char color);    //  
void  LCD_wrs (unsigned char*str,unsigned char color); //          
void LCD_wrsf (unsigned char flash*str,unsigned char color); //        

#endif
