#ifndef MENU_H
#define MENU_H

#define BEEP f_beep_key=1
#define BEEP1 f_beep_EEP=1

extern flash const BEEP_TRACK_DEF calibr_sound[];
extern flash const BEEP_TRACK_DEF key_sound[];
extern flash const BEEP_TRACK_DEF error_sound[];
extern flash const BEEP_TRACK_DEF error_starting[];
extern bit  f_sound_en;
extern bit  f_throttle_en;


void start_change_analog(void);
void TimerOn(void);
void save_trimmer(void);
void TX_init (void);
void keys_menu(void);
void MODEL_reset(unsigned char ind);
void SetCRC_EEPROM(unsigned int ind);

//void SetCRC_EEPROM(void);
unsigned char VerifyCRC_EEPROM(void);
unsigned char eeprom_read(unsigned int address);
void eeprom_write(unsigned int address, unsigned char data);




#endif