#ifndef CODER_H
#define CODER_H
#include "def.h"
 
//    EEPROM'
//-extern eeprom MODEL_SET EEPR_models[MAX_MODELS];
//extern eeprom unsigned char EEPR_start_model;
extern eeprom unsigned char EEPR_f_sound_en;
extern eeprom unsigned char EEPR_BatCntr[3];
//extern eeprom unsigned char EEPR_AntCntr;
extern eeprom int EEPR_ADmid[5], EEPR_ADmax[5], EEPR_ADmin[5];  
extern eeprom unsigned char EEPR_FirstON, EEPR_Calibration;
extern eeprom signed int EPPR_CalibrTemperature[];
extern eeprom unsigned char EEPR_f_throttle_en;
//------------------------------------------------------
extern bit ServoTest;
extern char serv_reverse;
extern int serv_cnt;
extern unsigned char g_MainMenuMode;
extern signed int out_control[MAX_CONTRS];
extern signed int ADmid[5];
extern signed int ADmin[5];
extern signed int ADmax[5];
extern signed int out_ch[MAX_CHANS];
//extern signed int VOut[5];
extern MODEL_SET cur_model;
extern unsigned char cur_model_ind;
extern unsigned char cur_mode_ind;
extern bit f_TCut;
extern unsigned int cur_Batt;
//extern unsigned int cur_Antenna;
extern unsigned int cur_Temperature;
extern signed int dir_Temperature;
extern unsigned char wd_Temperature;
extern unsigned int div_trimmer;
extern bit f_beep_timer;
extern bit f_beep_EEP;
extern bit f_beep_key;
extern bit f_beep_trimmer;
extern bit f_beep_trimmer_c;


unsigned int read_adc(unsigned char adc_input);
void beep_start(BEEP_TRACK_DEF flash *notes, unsigned char cnt, unsigned char rep);
void calibr (void);
void calibr_thermometer (void);
void ResetToDefault(void);

#endif